# -*- mode: ruby -*-
# vi: set ft=ruby :

Vagrant.configure('2') do |config|
  config.vm.box = 'bento/ubuntu-18.04'
  config.vm.hostname = 'ubuntu'

  config.vm.define :database do |db|
    db.vm.network 'private_network', ip: '10.10.0.2'
  end

  config.vm.define :haproxy do |lb|
    lb.vm.network 'private_network', ip: '10.10.0.3'
  end

  config.vm.define :app1 do |app|
    app.vm.network 'private_network', ip: '10.10.0.7'
  end

  config.vm.define :app2 do |app|
    app.vm.network 'private_network', ip: '10.10.0.6'
  end

  config.vm.define :runner do |runner|
    runner.vm.network 'private_network', ip: '10.10.0.8'
  end
end
